package cn.com.pism.batslog.f;

package .tmp;

import cn.com.pism.batslog.f.a;
import cn.com.pism.batslog.model.ConsoleColorConfig;
import cn.com.pism.batslog.model.RgbColor;
import cn.com.pism.batslog.model.ShowColorConfig;
import cn.com.pism.batslog.settings.MybatisCodeHelperLogSettingState;
import com.intellij.execution.ui.ConsoleViewContentType;
import com.intellij.openapi.editor.markup.EffectType;
import com.intellij.openapi.editor.markup.TextAttributes;
import com.intellij.openapi.project.Project;
import com.intellij.ui.ColorUtil;
import com.intellij.ui.Gray;
import com.intellij.ui.JBColor;
import java.awt.Color;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;

public class c {
  public static ConsoleViewContentType a(Project paramProject) {
    MybatisCodeHelperLogSettingState mybatisCodeHelperLogSettingState = MybatisCodeHelperLogSettingState.getInstance(paramProject);
    Color color = a.a(mybatisCodeHelperLogSettingState.getKeyWordDefCol());
    TextAttributes textAttributes = new TextAttributes(color, null, null, EffectType.BOXED, 0);
    return new ConsoleViewContentType(paramProject.getName() + "BatsLogKeywords", textAttributes);
  }
  
  public static ConsoleViewContentType b(Project paramProject) {
    JBColor jBColor = new JBColor((Color)Gray._140, (Color)Gray._128);
    TextAttributes textAttributes = new TextAttributes((Color)jBColor, null, null, EffectType.BOXED, 0);
    return new ConsoleViewContentType(paramProject.getName() + "BatsLogNotes", textAttributes);
  }
  
  public static List<ShowColorConfig> a(List<ConsoleColorConfig> paramList) {
    ArrayList<ShowColorConfig> arrayList = new ArrayList();
    paramList.forEach(paramConsoleColorConfig -> {
          RgbColor rgbColor1 = paramConsoleColorConfig.getBackgroundColor();
          RgbColor rgbColor2 = paramConsoleColorConfig.getForegroundColor();
          JBColor jBColor1 = new JBColor(new Color(rgbColor1.getR(), rgbColor1.getG(), rgbColor1.getB()), new Color(rgbColor1.getR(), rgbColor1.getG(), rgbColor1.getB()));
          JBColor jBColor2 = new JBColor(new Color(rgbColor2.getR(), rgbColor2.getG(), rgbColor2.getB()), new Color(rgbColor2.getR(), rgbColor2.getG(), rgbColor2.getB()));
          ShowColorConfig showColorConfig = new ShowColorConfig(paramConsoleColorConfig.getKeyWord(), paramConsoleColorConfig.isEnabled(), ColorUtil.toHtmlColor((Color)jBColor1), paramConsoleColorConfig.isEnableBgColor(), ColorUtil.toHtmlColor((Color)jBColor2), paramConsoleColorConfig.isEnabledFgColor());
          paramList.add(showColorConfig);
        });
    return arrayList;
  }
  
  public static List<ConsoleColorConfig> b(List<ShowColorConfig> paramList) {
    ArrayList<ConsoleColorConfig> arrayList = new ArrayList();
    AtomicInteger atomicInteger = new AtomicInteger(1);
    paramList.forEach(paramShowColorConfig -> {
          Color color1 = ColorUtil.fromHex(paramShowColorConfig.getBg());
          Color color2 = ColorUtil.fromHex(paramShowColorConfig.getFg());
          ConsoleColorConfig consoleColorConfig = new ConsoleColorConfig(UUID.randomUUID().toString(), paramAtomicInteger.get(), paramShowColorConfig.getKeyword(), new RgbColor(color1.getRed(), color1.getGreen(), color1.getBlue()), paramShowColorConfig.isBgEnabled(), new RgbColor(color2.getRed(), color2.getGreen(), color2.getBlue()), paramShowColorConfig.isFgEnabled(), paramShowColorConfig.isEnabled());
          paramList.add(consoleColorConfig);
          paramAtomicInteger.getAndIncrement();
        });
    return arrayList;
  }
}
